%define api_version     3.0
%define lib_major	0
%define lib_name	%mklibname soup %{api_version} %{lib_major}
%define gi_name		%mklibname soup-gir %{api_version}
%define develname	%mklibname -d soup 3

%bcond_without docs

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	SOAP (Simple Object Access Protocol) implementation
Name:		libsoup3
Version:	3.4.2
%define subrel 1
Release:	%mkrel 1
License:	LGPLv2
Group:		System/Libraries
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/libsoup/%{url_ver}/libsoup-%{version}.tar.xz
Patch0:		CVE-2024-52530.patch
Patch1:		CVE-2024-52531-1.patch
Patch2:		CVE-2024-52531-2.patch
Patch3:		CVE-2024-52532-1.patch
Patch4:		CVE-2024-52532-2.patch

BuildRequires:	git
BuildRequires:	intltool
BuildRequires:	meson
BuildRequires:	pkgconfig(gio-2.0) >= 2.36.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.36.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(krb5-gssapi)
BuildRequires:	pkgconfig(libbrotlidec)
BuildRequires:	pkgconfig(libnghttp2)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libpsl)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(sysprof-capture-4)
BuildRequires:	samba-winbind-clients
BuildRequires:	pkgconfig(vapigen)
Requires:	glib-networking

%if %{with docs}
BuildRequires:	gi-docgen
%endif

%description
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

%package i18n
Summary:	Library for soup - translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains translations used by soup.

%package -n %{lib_name}
Summary:	Libraries for soup
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}
# NTLM authentication
Recommends:	samba-winbind-clients

%description -n %{lib_name}
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains libraries used by soup.

%package -n %{gi_name}
Summary:	GObject Introspection interface library for libsoup
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for libsoup.

%package -n %{develname}
Summary:	Development libraries, header files and utilities for soup
Group:		Development/GNOME and GTK+
Provides:	libsoup-%{api_version}-devel = %{version}-%{release}
Provides:	libsoup-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{gi_name} = %{version}

%description -n %{develname}
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains the files necessary to develop applications with soup.

%prep
%autosetup -p1 -n libsoup-%version

%build
%meson \
	-Dtls_check=false \
 	-Dautobahn=disabled \
 	-Dtests=false \
	-Ddocs=%{?with_docs:enabled}%{?!with_docs:disabled}

%meson_build

%install
%meson_install

%find_lang libsoup-%{api_version}

%files i18n -f libsoup-%{api_version}.lang

%files -n %{lib_name}
%license COPYING
%{_libdir}/libsoup-%{api_version}.so.%{lib_major}{,.*}

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Soup-%{api_version}.typelib

%files -n %{develname}
%doc README AUTHORS NEWS
%if %{with docs}
%doc %{_docdir}/libsoup-%{api_version}/
%endif
%{_datadir}/gir-1.0/Soup-%{api_version}.gir
%{_libdir}/libsoup-%{api_version}.so
%{_libdir}/pkgconfig/libsoup-%{api_version}.pc
%{_includedir}/libsoup-%{api_version}/
%{_datadir}/vala/vapi/libsoup-%{api_version}.deps
%{_datadir}/vala/vapi/libsoup-%{api_version}.vapi


%changelog
* Thu Nov 28 2024 ns80 <ns80> 3.4.2-1.1.mga9
+ Revision: 2119625
- add patches from Ubuntu for CVE-2024-5253[0-2] (mga#33765)

* Sat Jun 03 2023 daviddavid <daviddavid> 3.4.2-1.mga9
+ Revision: 1960847
- new version 3.4.2

* Mon Apr 24 2023 neoclust <neoclust> 3.4.1-1.mga9
+ Revision: 1954684
- New version 3.4.1

* Sat Apr 22 2023 tmb <tmb> 3.4.0-1.mga9
+ Revision: 1954121
- update to 3.4.0

* Wed Nov 23 2022 tv <tv> 3.2.2-1.mga9
+ Revision: 1910496
- 3.2.2

* Wed Sep 28 2022 tv <tv> 3.2.0-2.mga9
+ Revision: 1892937
- Backported upstream MR to fix gnome-maps crashes (rhbz#2129914, ggo#310)

* Sun Sep 18 2022 wally <wally> 3.2.0-1.mga9
+ Revision: 1890058
- new version 3.2.0

* Fri Sep 02 2022 ovitters <ovitters> 3.0.8-1.mga9
+ Revision: 1883508
- new version 3.0.8
- new version 3.0.7
+ wally <wally>
- tag docs as such
- add %%license for lib pkg

* Thu Mar 31 2022 ovitters <ovitters> 3.0.6-1.mga9
+ Revision: 1837452
- new version 3.0.6

* Fri Mar 18 2022 ovitters <ovitters> 3.0.5-1.mga9
+ Revision: 1798598
- new version 3.0.5

* Mon Jan 10 2022 tv <tv> 3.0.3-2.mga9
+ Revision: 1767844
- Do not replace libsoup-devel-2.x

* Mon Jan 10 2022 tv <tv> 3.0.3-1.mga9
+ Revision: 1767838
- BR pkgconfig(gnutls)
- BR pkgconfig(libnghttp2)
- imported package libsoup3

